﻿/**
 * Color settings.
 * Настройки цветов.
 */
{
  // Color values for substitutions.
  // Значения цветов для подстановок.
  "def": {
    "al": "0x76CA08", // ally       / союзник
    "sq": "0xF7833A", // squadman   / взводный
    "tk": "0x08E8F7", // teamKiller / тимкиллер
    "en": "0xF71408", // enemy      / противник	/ 0x8278F7 Colorblind
    "pl": "0xFEFA1F", // player     / игрок
    // Dynamic color by various statistical parameters.
    // Динамический цвет по различным статистическим показателям.
    "colorRating": {
      "bad":           "0xF71408",   // very bad   / очень плохо
      "below_average": "0xF7833A",   // bad        / плохо
      "average":       "0xFEFA1F",   // normal     / средне
      "good":          "0x76CA08",   // good       / хорошо
      "great":         "0x08E8F7",   // very good  / очень хорошо
      "unicum":        "0xD042F3"    // unique     / уникально
    },
    // Dynamic color by remaining health points.
    // Динамический цвет по оставшемуся запасу прочности.
    "colorHP": {
      "very_low":         "0xFF0000",   // very low       / очень низкий
      "low":              "0xDD4444",   // low            / низкий
      "average":          "0xFFCC22",   // average        / средний
      "above_average":    "0xFCFCFC"    // above-average  / выше среднего
    }
  },
  "colors": {
    // System colors.
    // Системные цвета.
    "system": {
      // Format: object_state
      // Object:      ally, squadman, teamKiller, enemy
      // State:       alive, dead, blowedup
      // ----
      // Формат: объект_состояние
      // Объект:      ally - союзник, squadman - взводный, teamKiller - тимкиллер, enemy - противник
      // Состояние:   alive - живой, dead - мертвый, blowedup - взорвана боеукладка
      "ally_alive":          ${"def.al"},
      "ally_dead":           ${"def.al"},
      "ally_blowedup":       ${"def.al"},
      "squadman_alive":      ${"def.sq"},
      "squadman_dead":       ${"def.sq"},
      "squadman_blowedup":   ${"def.sq"},
      "teamKiller_alive":    ${"def.tk"},
      "teamKiller_dead":     ${"def.tk"},
      "teamKiller_blowedup": ${"def.tk"},
      "enemy_alive":         ${"def.en"},
      "enemy_dead":          ${"def.en"},
      "enemy_blowedup":      ${"def.en"},
      "ally_base":           ${"def.al"},
      "enemy_base":          ${"def.en"}
    },
    // Dynamic color by damage kind.
    // Динамический цвет по типу урона.
    "dmg_kind": {
      "shot": "0xFEFC8F",            // shot / попадание
      "fire": "0xFB8983",            // fire / пожар
      "ramming": "0xFBC19C",         // ramming / таран
      "world_collision": "0xBAE483", // world collision / столкновение с объектами, падение
      "death_zone": "0xCCCCCC",      // TODO: value, description
      "drowning": "0xCCCCCC",        // TODO: value, description
      "other": "0xCCCCCC"            // other / другое
    },
    // Dynamic color by vehicle type.
    // Динамический цвет по типу техники.
    "vtype": {
      // Цвет для легких танков.
      "LT":  "0xE3E99D",
      // Цвет для средних танков.
      "MT":  "0x9DE9A7",
      // Цвет для тяжелых танков.
      "HT":  "0xE9C39D",
      // Цвет для арты.
      "SPG": "0xE99D9D",
      // Цвет для ПТ.
      "TD":  "0x9DABE9",
      // Цвет для премиумной техники.
      "premium": "0xFFCC66",
      // Включить/выключить использование премиумного цвета.
      "usePremiumColor": false
    },
    // Dynamic color by spotted status
    // Динамический цвет по статусу засвета
    "spotted": {
      "neverSeen":		"0xCCCCCC",
      "lost":			${"def.en"},
      "revealed":		${"def.pl"},
      "dead":			"0xCCCCCC",
      "neverSeen_arty":	"0xCCCCCC",
      "lost_arty":		${"def.en"},
      "revealed_arty":	${"def.pl"},
      "dead_arty":		"0xCCCCCC"
    },
    // Color settings for damage.
    // Настройки цвета для урона.
    "damage": {
      // Format: src_dst_type.
      // Src:  ally, squadman, enemy, unknown, player.
      // Dst:  ally, squadman, allytk, enemytk, enemy.
      // Type: hit, kill, blowup.
      // ----
      // Формат: источник_получатель_тип.
      // Источник:   ally - союзник, squadman - взводный, enemy - противник, unknown - неизвестный (не виден игроку), player - игрок.
      // Получатель: ally, squadman, enemy, allytk - союзник тимкиллер, enemytk - противник тимкиллер.
      // Тип:        hit - попадание, kill - убийство, blowup - боеукладка.
      "ally_ally_hit":              ${"def.tk"},
      "ally_ally_kill":             ${"def.tk"},
      "ally_ally_blowup":           ${"def.tk"},
      "ally_squadman_hit":          ${"def.tk"},
      "ally_squadman_kill":         ${"def.tk"},
      "ally_squadman_blowup":       ${"def.tk"},
      "ally_enemy_hit":             ${"def.en"},
      "ally_enemy_kill":            ${"def.en"},
      "ally_enemy_blowup":          ${"def.en"},
      "ally_allytk_hit":            ${"def.tk"},
      "ally_allytk_kill":           ${"def.tk"},
      "ally_allytk_blowup":         ${"def.tk"},
      "ally_enemytk_hit":           ${"def.en"},
      "ally_enemytk_kill":          ${"def.en"},
      "ally_enemytk_blowup":        ${"def.en"},
      "enemy_ally_hit":             ${"def.al"},
      "enemy_ally_kill":            ${"def.al"},
      "enemy_ally_blowup":          ${"def.al"},
      "enemy_squadman_hit":         ${"def.sq"},
      "enemy_squadman_kill":        ${"def.sq"},
      "enemy_squadman_blowup":      ${"def.sq"},
      "enemy_enemy_hit":            ${"def.en"},
      "enemy_enemy_kill":           ${"def.en"},
      "enemy_enemy_blowup":         ${"def.en"},
      "enemy_allytk_hit":           ${"def.al"},
      "enemy_allytk_kill":          ${"def.al"},
      "enemy_allytk_blowup":        ${"def.al"},
      "enemy_enemytk_hit":          ${"def.en"},
      "enemy_enemytk_kill":         ${"def.en"},
      "enemy_enemytk_blowup":       ${"def.en"},
      "unknown_ally_hit":           ${"def.al"},
      "unknown_ally_kill":          ${"def.al"},
      "unknown_ally_blowup":        ${"def.al"},
      "unknown_squadman_hit":       ${"def.sq"},
      "unknown_squadman_kill":      ${"def.sq"},
      "unknown_squadman_blowup":    ${"def.sq"},
      "unknown_enemy_hit":          ${"def.en"},
      "unknown_enemy_kill":         ${"def.en"},
      "unknown_enemy_blowup":       ${"def.en"},
      "unknown_allytk_hit":         ${"def.al"},
      "unknown_allytk_kill":        ${"def.al"},
      "unknown_allytk_blowup":      ${"def.al"},
      "unknown_enemytk_hit":        ${"def.en"},
      "unknown_enemytk_kill":       ${"def.en"},
      "unknown_enemytk_blowup":     ${"def.en"},
      "squadman_ally_hit":          ${"def.tk"},
      "squadman_ally_kill":         ${"def.tk"},
      "squadman_ally_blowup":       ${"def.tk"},
      "squadman_squadman_hit":      ${"def.tk"},
      "squadman_squadman_kill":     ${"def.tk"},
      "squadman_squadman_blowup":   ${"def.tk"},
      "squadman_enemy_hit":         ${"def.sq"},
      "squadman_enemy_kill":        ${"def.sq"},
      "squadman_enemy_blowup":      ${"def.sq"},
      "squadman_allytk_hit":        ${"def.tk"},
      "squadman_allytk_kill":       ${"def.tk"},
      "squadman_allytk_blowup":     ${"def.tk"},
      "squadman_enemytk_hit":       ${"def.sq"},
      "squadman_enemytk_kill":      ${"def.sq"},
      "squadman_enemytk_blowup":    ${"def.sq"},
      "player_ally_hit":            ${"def.pl"},
      "player_ally_kill":           ${"def.pl"},
      "player_ally_blowup":         ${"def.pl"},
      "player_squadman_hit":        ${"def.pl"},
      "player_squadman_kill":       ${"def.pl"},
      "player_squadman_blowup":     ${"def.pl"},
      "player_enemy_hit":           ${"def.pl"},
      "player_enemy_kill":          ${"def.pl"},
      "player_enemy_blowup":        ${"def.pl"},
      "player_allytk_hit":          ${"def.pl"},
      "player_allytk_kill":         ${"def.pl"},
      "player_allytk_blowup":       ${"def.pl"},
      "player_enemytk_hit":         ${"def.pl"},
      "player_enemytk_kill":        ${"def.pl"},
      "player_enemytk_blowup":      ${"def.pl"}
    },
    // Values below should be from smaller to larger.
    // Значения ниже должны быть от меньшего к большему.
    // ----
    // Dynamic color by remaining absolute health.
    // Динамический цвет по оставшемуся здоровью.
    "hp": [
      { "value": 201,  "color": ${"def.colorHP.very_low"     } },      // Цвет для значений менее 201
      { "value": 401,  "color": ${"def.colorHP.low"          } },      // Цвет для значений менее 401
      { "value": 1001, "color": ${"def.colorHP.average"      } },      // Цвет для значений менее 1001
      { "value": 9999, "color": ${"def.colorHP.above_average"} }       // Цвет для остальных значений
    ],
    // Dynamic color by remaining health percent.
    // Динамический цвет по проценту оставшегося здоровья.
    "hp_ratio": [
      { "value": 10,  "color": ${"def.colorHP.very_low"     } },       // Цвет для значений менее 10 проц
      { "value": 25,  "color": ${"def.colorHP.low"          } },       // Цвет для значений менее 25 проц
      { "value": 50,  "color": ${"def.colorHP.average"      } },       // Цвет для значений менее 50 проц
      { "value": 101, "color": ${"def.colorHP.above_average"} }        // Цвет для остальных значений
    ],
    // Dynamic color for XVM Scale
    // Динамический цвет по шкале XVM
    // http://www.koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 16.5, "color": ${"def.colorRating.bad"          } },
      { "value": 33.5, "color": ${"def.colorRating.below_average"} },
      { "value": 52.5, "color": ${"def.colorRating.average"      } },
      { "value": 75.5, "color": ${"def.colorRating.good"         } },
      { "value": 92.5, "color": ${"def.colorRating.great"        } },
      { "value": 999,  "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by efficiency
    // Динамический цвет по эффективности
    "eff": [
      { "value": 615,  "color": ${"def.colorRating.bad"          } },
      { "value": 870,  "color": ${"def.colorRating.below_average"} },
      { "value": 1175, "color": ${"def.colorRating.average"      } },
      { "value": 1525, "color": ${"def.colorRating.good"         } },
      { "value": 1850, "color": ${"def.colorRating.great"        } },
      { "value": 9999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by WN6 rating
    // Динамический цвет по рейтингу WN6
    "wn6": [
      { "value": 460,  "color": ${"def.colorRating.bad"          } },
      { "value": 850,  "color": ${"def.colorRating.below_average"} },
      { "value": 1215, "color": ${"def.colorRating.average"      } },
      { "value": 1620, "color": ${"def.colorRating.good"         } },
      { "value": 1960, "color": ${"def.colorRating.great"        } },
      { "value": 9999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by WN8 rating
    // Динамический цвет по рейтингу WN8
    "wn8": [
      { "value": 450,  "color": ${"def.colorRating.bad"          } },
      { "value": 650,  "color": ${"def.colorRating.below_average"} },
      { "value": 900,  "color": ${"def.colorRating.average"      } },
      { "value": 1600, "color": ${"def.colorRating.good"         } },
      { "value": 2450, "color": ${"def.colorRating.great"        } },
      { "value": 9999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by WG rating
    // Динамический цвет по рейтингу WG
    "wgr": [
      { "value": 2495,  "color": ${"def.colorRating.bad"          } },
      { "value": 4345,  "color": ${"def.colorRating.below_average"} },
      { "value": 6425,  "color": ${"def.colorRating.average"      } },
      { "value": 8625,  "color": ${"def.colorRating.good"         } },
      { "value": 10040, "color": ${"def.colorRating.great"        } },
      { "value": 99999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color for win chance
    // Динамический цвет для шанса на победу
    "winChance": [
      { "value": 24.5, "color": ${"def.colorRating.bad"          } },
      { "value": 39.5, "color": ${"def.colorRating.below_average"} },
      { "value": 59.5, "color": ${"def.colorRating.average"      } },
      { "value": 74.5, "color": ${"def.colorRating.good"         } },
      { "value": 89.5, "color": ${"def.colorRating.great"        } },
      { "value": 101,  "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by win percent
    // Динамический цвет по проценту побед
    "winrate": [
      { "value": 47,  "color": ${"def.colorRating.bad"          } },
      { "value": 48,  "color": ${"def.colorRating.below_average"} },
      { "value": 50,  "color": ${"def.colorRating.average"      } },
      { "value": 54,  "color": ${"def.colorRating.good"         } },
      { "value": 60,  "color": ${"def.colorRating.great"        } },
      { "value": 101, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by kilo-battles
    // Динамический цвет по количеству кило-боев
    "kb": [
      { "value": 2,   "color": ${"def.colorRating.bad"          } },
      { "value": 6,   "color": ${"def.colorRating.below_average"} },
      { "value": 16,  "color": ${"def.colorRating.average"      } },
      { "value": 30,  "color": ${"def.colorRating.good"         } },
      { "value": 43,  "color": ${"def.colorRating.great"        } },
      { "value": 999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by average level of player tanks
    // Динамический цвет по среднему уровню танков игрока
    "avglvl": [
      { "value": 2,  "color": ${"def.colorRating.bad"          } },
      { "value": 3,  "color": ${"def.colorRating.below_average"} },
      { "value": 5,  "color": ${"def.colorRating.average"      } },
      { "value": 7,  "color": ${"def.colorRating.good"         } },
      { "value": 9,  "color": ${"def.colorRating.great"        } },
      { "value": 11, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by battles on current tank
    // Динамический цвет по количеству боев на текущем танке
    "t_battles": [
      { "value": 100,   "color": ${"def.colorRating.bad"          } },
      { "value": 250,   "color": ${"def.colorRating.below_average"} },
      { "value": 500,   "color": ${"def.colorRating.average"      } },
      { "value": 1000,  "color": ${"def.colorRating.good"         } },
      { "value": 1800,  "color": ${"def.colorRating.great"        } },
      { "value": 99999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by average damage on current tank
    // Динамический цвет по среднему урону за бой на текущем танке
    "tdb": [
      { "value": 500,  "color": ${"def.colorRating.bad"          } },
      { "value": 750,  "color": ${"def.colorRating.below_average"} },
      { "value": 1000, "color": ${"def.colorRating.average"      } },
      { "value": 1800, "color": ${"def.colorRating.good"         } },
      { "value": 2500, "color": ${"def.colorRating.great"        } },
      { "value": 9999, "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by average damage efficiency on current tank
    // Динамический цвет по эффективности урона за бой на текущем танке
    "tdv": [
      { "value": 0.6,  "color": ${"def.colorRating.bad"          } },
      { "value": 0.8,  "color": ${"def.colorRating.below_average"} },
      { "value": 1.0,  "color": ${"def.colorRating.average"      } },
      { "value": 1.3,  "color": ${"def.colorRating.good"         } },
      { "value": 2.0,  "color": ${"def.colorRating.great"        } },
      { "value": 15,   "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by average frags per battle on current tank
    // Динамический цвет по среднему количеству фрагов за бой на текущем танке
    "tfb": [
      { "value": 0.6,  "color": ${"def.colorRating.bad"          } },
      { "value": 0.8,  "color": ${"def.colorRating.below_average"} },
      { "value": 1.0,  "color": ${"def.colorRating.average"      } },
      { "value": 1.3,  "color": ${"def.colorRating.good"         } },
      { "value": 2.0,  "color": ${"def.colorRating.great"        } },
      { "value": 15,   "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by average number of spotted enemies per battle on current tank
    // Динамический цвет по среднему количеству засвеченных врагов за бой на текущем танке
    "tsb": [
      { "value": 0.6,  "color": ${"def.colorRating.bad"          } },
      { "value": 0.8,  "color": ${"def.colorRating.below_average"} },
      { "value": 1.0,  "color": ${"def.colorRating.average"      } },
      { "value": 1.3,  "color": ${"def.colorRating.good"         } },
      { "value": 2.0,  "color": ${"def.colorRating.great"        } },
      { "value": 15,   "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by WN8 effective damage
    // Динамический цвет по эффективному урону по WN8
    "wn8effd": [
      { "value": 0.6,  "color": ${"def.colorRating.bad"          } },
      { "value": 0.8,  "color": ${"def.colorRating.below_average"} },
      { "value": 1.0,  "color": ${"def.colorRating.average"      } },
      { "value": 1.3,  "color": ${"def.colorRating.good"         } },
      { "value": 2.0,  "color": ${"def.colorRating.great"        } },
      { "value": 15,   "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by damage rating (percents for marks on gun)
    // Динамический цвет по рейтингу урона (процент для отметок на стволе)
    "damageRating": [
      { "value": 20,    "color": ${"def.colorRating.bad"          } },
      { "value": 60,    "color": ${"def.colorRating.below_average"} },
      { "value": 90,    "color": ${"def.colorRating.average"      } },
      { "value": 99,    "color": ${"def.colorRating.good"         } },
      { "value": 99.9,  "color": ${"def.colorRating.great"        } },
      { "value": 101,   "color": ${"def.colorRating.unicum"       } }
    ],
    // Dynamic color by hit ratio (percents of hits)
    // Динамический цвет по проценту попаданий
    "hitsRatio": [
      { "value": 47.5,  "color": ${"def.colorRating.bad"          } },
      { "value": 60.5,  "color": ${"def.colorRating.below_average"} },
      { "value": 68.5,  "color": ${"def.colorRating.average"      } },
      { "value": 74.5,  "color": ${"def.colorRating.good"         } },
      { "value": 78.5,  "color": ${"def.colorRating.great"        } },
      { "value": 101,   "color": ${"def.colorRating.unicum"       } }
    ]
  }
}
