﻿/**
 * Minimap labels.
 * Надписи на миникарте.
 */
{
  // Textfields for units on minimap.
  // Текстовые поля юнитов на миникарте.
  // TODO: documentation
  //  {
  //    If don't set "ally", "squadman", "player", "enemy", "teamKiller", they are not used.
  //    If don't set "lost" and "spotted", it uses both - and "lost", and "spotted"
  //    If don't set "alive", "dead", it uses both - and "alive", and "dead"
  // -------------------------------------------------------------------------------------
  //    Если не указаны "ally", "squadman", "player", "enemy", "teamKiller", то они не используются.
  //    Если не указаны "lost" и "spotted", то используются оба - и "lost", и "spotted".
  //    Если не указаны "alive", "dead", то используются оба - и "alive", и "dead".
  //    "flags": [ "player", "ally", "squadman", "enemy", "teamKiller", "lost", "spotted", "alive", "dead" ],
  //    "format": "...",
  //    "shadow": { ... },
  //    "alpha": "...",
  //    "x": { ... },
  //    "y": { ... },
  //    "antiAliasType": "normal" // normal/advanced
  //  }
  // Definitions
  // Шаблоны
  "def": {
    // Fields default format
    // Формат поля по умолчанию
    "defaultItem": {
      "flags": [ "player", "ally", "squadman", "enemy", "teamKiller", "lost", "spotted", "alive", "dead" ],
      "shadow": { "distance": 0, "angle": 45, "color": "0x000000", "alpha": 50, "blur": 3, "strength": 4 },
      "alpha": 100,
      "x": 0,
      "y": 0,
      "width": 100,
      "height": 40,
      "align": "left",
      "valign": "top",
      "antiAliasType": "advanced",
      "bgColor": null,
      "borderColor": null
    },
    "defaultAlly": {
      "$ref": { "path":"def.defaultItem" },
      "shadow": { "distance": 0, "angle": 45, "color": "0x76CA08", "alpha": 50, "blur": 3, "strength": 4 }
    },
    "defaultSquadman": {
      "$ref": { "path":"def.defaultItem" },
      "shadow": { "distance": 0, "angle": 45, "color": "0xF7833A", "alpha": 50, "blur": 3, "strength": 4 }
    },
    "defaultEnemy": {
      "$ref": { "path":"def.defaultItem" },
      "shadow": { "distance": 0, "angle": 45, "color": "0xF71408", "alpha": 50, "blur": 3, "strength": 4 }
    },
    "defaultTeamKiller": {
      "$ref": { "path":"def.defaultItem" },
      "shadow": { "distance": 0, "angle": 45, "color": "0x08E8F7", "alpha": 50, "blur": 3, "strength": 4 }
    },
    // Тип техники, видимый
    "vtypeSpotted": {
      "$ref": { "path":"def.defaultItem" },
      "flags": [ "ally", "enemy", "squadman", "teamKiller", "spotted", "alive" ],
      "format": "<font size='13' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
      "align": "center",
      "valign": "center"
    },
    // Тип техники, пропавший
    "vtypeLostAlly": {
      "$ref": { "path":"def.defaultAlly" },
      "flags": [ "ally", "lost", "alive" ],
      "format": "<font size='13' color='#000000'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
      "align": "center",
      "valign": "center",
      "alpha": 70
    },
    "vtypeLostSquadman": {
      "$ref": { "path":"def.defaultSquadman" },
      "flags": [ "squadman", "lost", "alive" ],
      "format": "<font size='13' color='#000000'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
      "align": "center",
      "valign": "center",
      "alpha": 70
    },
    "vtypeLostEnemy": {
      "$ref": { "path":"def.defaultEnemy" },
      "flags": [ "enemy", "lost", "alive" ],
      "format": "<font size='13' color='#000000'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
      "align": "center",
      "valign": "center",
      "alpha": 70
    },
    "vtypeLostTeamKiller": {
      "$ref": { "path":"def.defaultTeamKiller" },
      "flags": [ "teamKiller", "lost", "alive" ],
      "format": "<font size='13' color='#000000'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
      "align": "center",
      "valign": "center",
      "alpha": 70
    },
    // Название техники, видимый
    "vehicleSpottedAlly": {
      "$ref": { "path":"def.defaultAlly" },
      "flags": [ "ally", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{vehicle}}</font>",
      "x": 2,
      "y": -1
    },
    "vehicleSpottedSquadman": {
      "$ref": { "path":"def.defaultSquadman" },
      "flags": [ "squadman", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{vehicle}}</font>",
      "x": 2,
      "y": -1
    },
    "vehicleSpottedEnemy": {
      "$ref": { "path":"def.defaultEnemy" },
      "flags": [ "enemy", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{vehicle}}</font>",
      "x": 2,
      "y": -1
    },
    "vehicleSpottedTeamKiller": {
      "$ref": { "path":"def.defaultTeamKiller" },
      "flags": [ "teamKiller", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{vehicle}}</font>",
      "x": 2,
      "y": -1
    },
    // Ник игрока, видимый
    "nickSpottedAlly": {
      "$ref": { "path":"def.defaultAlly" },
      "flags": [ "ally", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{name%.5s}}</font>",
      "x": 2,
      "y": -1
    },
    "nickSpottedSquadman": {
      "$ref": { "path":"def.defaultSquadman" },
      "flags": [ "squadman", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{name%.5s}}</font>",
      "x": 2,
      "y": -1
    },
    "nickSpottedEnemy": {
      "$ref": { "path":"def.defaultEnemy" },
      "flags": [ "enemy", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{name%.5s}}</font>",
      "x": 2,
      "y": -1
    },
    "nickSpottedTeamKiller": {
      "$ref": { "path":"def.defaultTeamKiller" },
      "flags": [ "teamKiller", "spotted", "alive" ],
      "format": "<font size='8' color='#000000'>{{name%.5s}}</font>",
      "x": 2,
      "y": -1
    },
    // Название техники, пропавший
    "vehicleLostAlly": {
      "$ref": { "path":"def.defaultAlly" },
      "flags": [ "ally", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{vehicle-short}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "vehicleLostSquadman": {
      "$ref": { "path":"def.defaultSquadman" },
      "flags": [ "squadman", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{vehicle-short}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "vehicleLostEnemy": {
      "$ref": { "path":"def.defaultEnemy" },
      "flags": [ "enemy", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{vehicle-short}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "vehicleLostTeamKiller": {
      "$ref": { "path":"def.defaultTeamKiller" },
      "flags": [ "teamKiller", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{vehicle-short}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    // Ник игрока, пропавший
    "nickLostAlly": {
      "$ref": { "path":"def.defaultAlly" },
      "flags": [ "ally", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{name%.5s}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "nickLostSquadman": {
      "$ref": { "path":"def.defaultSquadman" },
      "flags": [ "squadman", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{name%.5s}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "nickLostEnemy": {
      "$ref": { "path":"def.defaultEnemy" },
      "flags": [ "enemy", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{name%.5s}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    },
    "nickLostTeamKiller": {
      "$ref": { "path":"def.defaultTeamKiller" },
      "flags": [ "teamKiller", "lost", "alive" ],
      "format": "<font size='8' color='#000000'><i>{{name%.5s}}</i></font>",
      "alpha": 70,
      "x": 2,
      "y": -1
    }
  }
}
