﻿/**
 * Parameters for tank carousel
 * Параметры карусели танков
 */
{
  "carousel": {
    // false - Disable customizable carousel.
    // false - Отключить настраиваемую карусель.
    "enabled": true,
    // Scale of carousel cells.
    // Масштаб ячеек карусели.
    "zoom": 1,
    // Number of rows at carousel.
    // Количество рядов карусели.
    "rows": 3,
    // Spacing between carousel cells.
    // Отступ между ячейками карусели.
    "padding": {
        "horizontal": 10,   // по горизонтали
        "vertical": 2       // по вертикали
    },
    // true - show filters even if all tanks fit on the screen.
    // true - показывать фильтры даже если все танки помещаются на экране.
    "alwaysShowFilters": true,
    // true - hide cell "Buy tank".
    // true - скрыть ячейку "Купить танк".
    "hideBuyTank": false,
    // true - hide cell "Buy slot".
    // true - скрыть ячейку "Купить слот".
    "hideBuySlot": false,
    // Visibility filters.
    // Видимость фильтров.
    "filters": {
      // false - hide filter.
      // false - скрыть фильтр.
      "nation":   { "enabled": true },  // nation           / страна
      "type":     { "enabled": true },  // vehicle class    / тип техники
      "favorite": { "enabled": true },  // favorite tanks   / основные танки
      "fallout":  { "enabled": true },  // domination tanks / танки для "превосходства"
      "level":    { "enabled": true },  // vehicle level    / уровень техники
      "prefs":    { "enabled": true }   // other filters    / другие фильтры
    },
    // Standard cell elements.
    // Стандартные элементы ячеек.
    "fields": {
      // "visible"  - the visibility of the element / видимость элемента
      // "dx"       - horizontal shift              / смещение по горизонтали
      // "dy"       - vertical shift                / смещение по вертикали
      // "alpha"    - transparency                  / прозрачность
      // "scale"    - scale                         / масштаб
      //
      // Vehicle class icon.
      // Иконка типа техники.
      "tankType": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle level.
      // Уровень техники
      "level":    { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // todo: english description
      // Иконка не сбитого кратного опыта за первую победу в день.
      "multiXp":  { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // todo: english description
      // Иконка не сбитого опыта за первую победу в день.
      "xp":       { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle name.
      // Название танка.
      "tankName": { "visible": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Status text (Crew incomplete, Repairs required)
      // Статусный текст (Неполный экипаж, Требуется ремонт).
      "statusText": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Status text for "Buy tank" and "Buy slot" slots.
      // Статусный текст для слотов "Купить танк" и "Купить слот".
      "statusTextBuy": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Clan lock timer
      // Таймер блокировки танка
      "clanLock":   { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 }
    },
    // Extra cell fields (see playersPanel.xc).
    // Дополнительные поля ячеек (см. playersPanel.xc).
    "extraFields": [
      { "x": 46, "y": -1, "format": "<font size='12' face='$FieldFont' color='{{v.c_winrate}}'><b>{{v.winrate%5.2f~%}}</b></font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
      { "x": 121, "y": -1, "align": "right", "format": "<font size='12' face='$FieldFont' color='{{v.c_battles}}'>{{v.battles%-4d}}</font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
      { "x": 134, "y": 10, "format": "<img src='img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png' width='26' height='26'>" },
      { "x": 1, "y": 18, "format": "<font size='12' face='$FieldFont' color='{{v.c_tfb}}'>{{v.tfb%-4.2f}}</font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
      { "x": 1, "y": 32, "format": "<font size='12' face='$FieldFont' color='#FFFFFF'>{{v.tdb%-4d}}</font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
      { "x": 1, "y": 47, "format": "<font size='12' face='$FieldFont' color='#33CC33'>{{v.wn8expd%-4d}}</font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
      { "x": 1, "y": 62, "w": 50, "h": 20, "align": "left", "format": "<font size='12' face='$FieldFont'>{{v.earnedXP%d}}</font>" },
      { "x": 110, "y": 83, "align": "right", "format": "<img src='xvm://res/icons/carousel/marks_on_guns/{{v.nation}}/{{v.marksOnGun}}.png' width='40' height='11'>"},
      { "x": 105, "y": 70, "align": "right", "format": "<font size='11' face='$FieldFont' color='{{v.c_damageRating}}'>{{v.damageRating%-5.2f~%}}</font>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
	  { "x": 155, "y": 83, "align": "right", "format": "<font color='#ffcc00' size='11'>{{v.battletiermin}}-{{v.battletiermax}}</font>", "shadow": { "color": "0x000000", "alpha": 1.0, "blur": 5, "strength": 5, "distance": 0, "angle": 0 }},
	  { "x": 1, "y": 83, "format": "<font face='$TitleFont' color='{{v.premium?#DB834C|#ffffff}}' size='10'>{{v.name}}</font>", "shadow": {"blur":5, "color": "{{v.premium?0x581300|0x003864}}", "strength": "{{v.premium?3|2}}"} },
	  {}
	  ],
    // Order of nations.
    // Порядок наций.
    //"nations_order": ["ussr", "germany", "usa", "france", "uk", "china", "japan"],
    "nations_order": [],
    // Order of types of vehicles.
    // Порядок классов техники.
    "types_order":   ["lightTank", "mediumTank", "heavyTank", "AT-SPG", "SPG"],
    // Tank sorting criteria, available options: (minus = reverse order)
    // Критерии сортировки танков, доступные значения: (минус = в обратном порядке)
    // "nation", "type", "level", "maxBattleTier", "premium", "-level", "-maxBattleTier", "-premium"
    "sorting_criteria": ["nation", "type", "level"],
    // Suppress the tooltips for tanks in carousel
    // Убрать подсказки к танкам в карусели
    "suppressCarouselTooltips": false
  }
}
